summaryrefslogtreecommitdiff
path: root/scripts/update-cron.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/update-cron.sh')
-rwxr-xr-xscripts/update-cron.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/update-cron.sh b/scripts/update-cron.sh
new file mode 100755
index 00000000..a4d5a3cb
--- /dev/null
+++ b/scripts/update-cron.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+update()
+{
+ echo "git pull"
+ git pull || return $?
+ echo
+
+ echo "make aggregate"
+ make aggregate || return $?
+ echo
+
+ echo "make test"
+ make test || return $?
+ echo
+
+ echo "make"
+ make || return $?
+ echo
+}
+
+cd /opt/swamid-metadata || exit 1
+exec update